Subject: Re: [PATCH net-next 6/6] net: phy: dp83869: Fix link up reporting in SGMII bridge mode

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 2 Jul 2024 10:28:03 +0100

On Tue, Jul 02, 2024 at 11:04:37AM +0200, Romain Gantois wrote:
> This raises the question of a potential race condition when reading
> mod_phy->{link, speed, duplex}. I haven't seen any kind of locking used in
> other parts of the net subsystem when reading these parameters.

Drivers access these under phydev->lock due to a callback from phylib
which will be made from the state machine which holds that lock.
This includes phylink.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!